You are not logged in.

#76 2009-09-25 16:54:06

nfm
Member
Registered: 2008-06-13
Posts: 62

Re: gnome unstable repository

Hmm now something is bogging my cpu at 100%, unnamed process. Also cdrom doesn't eject dvds or cds, I wonder when gnu/linux will get basic shit right, hopefully before 2012.

Offline

#77 2009-09-25 16:55:31

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: gnome unstable repository

nfm wrote:

Hmm now something is bogging my cpu at 100%, unnamed process. Also cdrom doesn't eject dvds or cds, I wonder when gnu/linux will get basic shit right, hopefully before 2012.

Meh...

Linux does it right many years now. GNOME is getting weird now with DeviceKit.

Offline

#78 2009-09-25 19:10:26

combuster
Member
From: Serbia
Registered: 2008-09-30
Posts: 711
Website

Re: gnome unstable repository

Yep, I can't burn any dvd's, cant eject with touchkey (eject /dev/sr0 as root works), so I agree with flamelab that it's a device kit screw up...

And if u use compiz try killall metacity to releave your cpu big_smile

Offline

#79 2009-09-25 20:10:37

jmdennis
Member
Registered: 2009-03-21
Posts: 61

Re: gnome unstable repository

I read that Gnome 2.28 includes the shell and even showed you how to use the shell but I am using this release and I do not find it.  I know it is part of aur but wondering why it was not included if it is supposedly part of 2.28.

Offline

#80 2009-09-25 21:14:45

combuster
Member
From: Serbia
Registered: 2008-09-30
Posts: 711
Website

Re: gnome unstable repository

I've just installed gnome-shell from aur and it's working like a charm. Thanx flamelab smile I'm still getting used to it...

One more question, should we disable hal from DAEMONS now that the devicekit is running or it is still required?

Last edited by combuster (2009-09-25 21:36:47)

Offline

#81 2009-09-25 21:50:42

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: gnome unstable repository

@jmdennis: No it isn't. It will be part of the so called 'GNOME 3.x' though
@combuster: No, do not do it. Leave it there, HAL is still being used be many apps.

Offline

#82 2009-09-25 21:57:14

combuster
Member
From: Serbia
Registered: 2008-09-30
Posts: 711
Website

Re: gnome unstable repository

Yep, I thought so, still needed for managing input devices etc... Just got wondering what devicekit replaces hal with, but it looks like it's only power management and storage devices...

I found very little about devicekit on the internet, wiki is a joke... And it state's that it replaces hal but doesn't mention how exactly...

Ok, I found some info, now it's much clearer smile

Last edited by combuster (2009-09-25 22:00:35)

Offline

#83 2009-09-25 22:23:49

nfm
Member
Registered: 2008-06-13
Posts: 62

Re: gnome unstable repository

I found what was causing the 100% cpu util., it was 'xfwm4 --sm-disable --replace' at startup, somehow it is now incompatible sad. How is ubuntu getting 2.28 working right?

Offline

#84 2009-09-25 22:34:15

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: gnome unstable repository

nfm wrote:

How is ubuntu getting 2.28 working right?

With *billions* of patches...

Offline

#85 2009-09-25 22:54:12

nfm
Member
Registered: 2008-06-13
Posts: 62

Re: gnome unstable repository

Hehe, so did anyone get DeviceKit working properly? Looks like gnome terminal reset bug ~ "Vte:ERROR:vtestream-file.h:30:_xread: assertion failed: (fd || !len)" is fixed now: http://ftp.gnome.org/pub/GNOME/sources/ … .22.1.news. But still very long logout is annoying and gconfd-2 goes crazy when xfwm4 is fired up.

Offline

#86 2009-09-25 23:24:17

jmdennis
Member
Registered: 2009-03-21
Posts: 61

Re: gnome unstable repository

Below is the link to the article that I mentioned about it being included.  Also just about that is the information that shows that it is included.  I am unable to get it to work at the moment as supposedly you can do gnome-shell --replace and it can not even find gnome-shell even though I have it installed.  Oh well I will figure it out or go back to KDE since I have both installed.

GNOME 2.28 includes a preview version of one of the more conspicuous changes in GNOME 3.0, the GNOME Shell.

http://www.h-online.com/open/GNOME-2-28 … res/114311

Offline

#87 2009-09-25 23:27:27

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: gnome unstable repository

jmdennis wrote:

Below is the link to the article that I mentioned about it being included.  Also just about that is the information that shows that it is included.  I am unable to get it to work at the moment as supposedly you can do gnome-shell --replace and it can not even find gnome-shell even though I have it installed.  Oh well I will figure it out or go back to KDE since I have both installed.

GNOME 2.28 includes a preview version of one of the more conspicuous changes in GNOME 3.0, the GNOME Shell.

http://www.h-online.com/open/GNOME-2-28 … res/114311

http://live.gnome.org/GnomeShell

The project is still in early stages of development. The plan is to have it be an optional feature in GNOME 2.28, and to replace the existing components for GNOME 3.0.

It's not ready yet. It hasn't even been declared "stable" upstream yet (it's still on 2.27.3)

Last edited by flamelab (2009-09-25 23:28:15)

Offline

#88 2009-09-26 10:17:19

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome unstable repository

hmm this devkit is making me nervous. now ntfs partition are not mounted with ntfs-3g anymore. do you know how/where can i set that?


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#89 2009-09-26 16:37:23

shining
Pacman Developer
Registered: 2006-05-10
Posts: 2,043

Re: gnome unstable repository

shining wrote:

So no one having troubles with the latest i686 packages ? I had big troubles after the last update yesterday, most gnome apps would just crash, segfault or fail to load. But I have not been able to investigate what the real issue was.

After reinstalling all packages and deleting all my config, it works fine again.
Now I realize the first thing I should have tried is with a fresh new user. It was probably caused by some bogus config.


pacman roulette : pacman -S $(pacman -Slq | LANG=C sort -R | head -n $((RANDOM % 10)))

Offline

#90 2009-09-26 21:14:06

Thek586
Member
From: Fr
Registered: 2009-07-30
Posts: 10

Re: gnome unstable repository

gnome-terminal is totally broken here, my terminator too btw

Failure:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb71f5900 (LWP 7435)]
0xb7f0e51f in _vte_terminal_ring_append () from /usr/lib/libvte.so.9

Offline

#91 2009-09-26 21:19:47

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: gnome unstable repository

vte and gnome-terminal need update in order to work. Wait until JGC finds time to do it.

Offline

#92 2009-09-26 23:55:51

Thek586
Member
From: Fr
Registered: 2009-07-30
Posts: 10

Re: gnome unstable repository

i have also an other segfault with nautilus when i try to open an NFS mounted share by the Gnome-menu > Places, or by the Disk Mounter applet

nautilus[1675]: segfault at 0 ip b7316fba sp b2fb404c error 4 in libc-2.10.1.so[b72a4000+140000]

Offline

#93 2009-09-27 07:16:20

muramasa
Member
From: Vancouver, Canada
Registered: 2007-01-08
Posts: 16
Website

Re: gnome unstable repository

Is anyone able to use Epiphany 2.28 at all? For me it crashes very frequently, especially when I try to go to certain URLs. For instance, if I type google.com into the address bar it will start to load and then crash a moment later.

Epiphany using the WebKit rendering engine was pretty much the only aspect of this release I was interested in, so this is kind of disappointing.

Last edited by muramasa (2009-09-27 07:21:43)

Offline

#94 2009-09-27 07:48:33

combuster
Member
From: Serbia
Registered: 2008-09-30
Posts: 711
Website

Re: gnome unstable repository

on x86_64 it doesn't crash at all...

Offline

#95 2009-09-27 13:29:17

ajk
Member
Registered: 2008-07-27
Posts: 15

Re: gnome unstable repository

I'm getting a segmentation fault in your latest vte... I hope you can fix this.


A proud Linux user big_smile

Offline

#96 2009-09-27 15:18:26

Thek586
Member
From: Fr
Registered: 2009-07-30
Posts: 10

Re: gnome unstable repository

muramasa wrote:

Is anyone able to use Epiphany 2.28 at all? For me it crashes very frequently, especially when I try to go to certain URLs. For instance, if I type google.com into the address bar it will start to load and then crash a moment later.

Epiphany using the WebKit rendering engine was pretty much the only aspect of this release I was interested in, so this is kind of disappointing.

Yes
My crashes seems coming from gecko-mediaplayer, have you this plugin installed ?

Offline

#97 2009-09-27 17:35:36

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome unstable repository

@jgc devicekit-power needs devicekit. it doesn't function without it.


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#98 2009-09-27 19:59:00

ohdeno
Member
Registered: 2009-09-27
Posts: 3

Re: gnome unstable repository

Hi! I'd like to ask where I can find pkgbuilds for this repo? I've tried ABS since it looked like semi-official repo but with no success.

I'd like to recompile some packages with PulseAudio support. BTW, are you planning pulseaudio as GNOME dependency?
It's official GNOME dependency now and I think it ought to be that people that don't want official dependencies for some reason should go that extra mile recompiling stuff not the other way around.

Whatever you decide I'd be happy just with PKGBUILDS for this repo. It's working O'kay - except empathy/telepathy and gdm that's not in it for some reason? Maybe some icons missing here and there.

Keep up the good work and thank you! smile

Last edited by ohdeno (2009-09-27 19:59:32)

Offline

#99 2009-09-27 20:00:20

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome unstable repository

@ohdeno, the answer for empathy is in this thread, page 3 big_smile


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#100 2009-09-27 20:49:19

ohdeno
Member
Registered: 2009-09-27
Posts: 3

Re: gnome unstable repository

@wonder, I know - I've read. But what I meant was that it should be in official repo now that it is official dependency (telepathy support is going to be integrated in gnome apps, empathy is now official gnome client). But I'm not clear on rules for moving from community to extra to be fair.

Well, just info about pkgbuilds location would be nice smile

Last edited by ohdeno (2009-09-27 20:51:28)

Offline

Board footer

Powered by FluxBB